Subject: bug#12441: 24.2.50; emacs-bzr-version is not reliable

From: Harald Hanche-Olsen <[email-masked]>
Date: Fri, 14 Sep 2012 11:52:22 +0200 (CEST)

The variable emacs-bzr-version gives wrong information when emacs has
been built from a revision not at the tip of the current branch.

The best demonstration of the problem is shown in the second line
below, put there by M-x report-emacs-bug:

In GNU Emacs 24.2.50.1 (x86_64-apple-darwin11.4.0, NS apple-appkit-1138.47)
 of 2012-09-14 on airy
Bzr revision: 110013 [email-masked]

In fact, this emacs is built from a lightweight checkout of bzr
revision 109703. The automatically provided information above seems to
be taken from the emacs-bzr-version variable, which is wrong, in other
words.

Windowing system distributor `Apple', version 10.3.1138
Configured using:
 `configure '--with-ns''

- Harald